@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Poppins Regular';
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.main {
    flex: 1;
}

    .main .top-row {
        z-index: 1;
        background-color: #ffffff;
        justify-content: flex-end;
    }

.main .top-row > a {
    margin-left: 1.5rem;
}

.heaer-user {
    height: 45px;
    padding: 5px;
    background-color: #29C8D6;
    border-radius: 5px;
    display: table;
    cursor: pointer;
}

    .heaer-user label {
        margin: 4px 10px 0px 10px;
        color: white;
        cursor: pointer;
    }

.header-sub-menu {
    position: absolute;
    background-color: #ffffff;
    border-radius: 5px;
    width: 211px;
    box-shadow: 0px 1px 2px #000;
    margin-top: 2px;
}
    .header-sub-menu ul {
        padding: 0;
        margin: 0px;
    }
        .header-sub-menu ul li {
            list-style: none;
            padding: 10px;
            cursor: pointer;
            font-size: 18px;
            color: #FC544B;
        }
        .header-sub-menu ul li img{
            margin-right: 6px;
        }

            .header-sub-menu ul li:hover {
                background-color: rgba(41, 200, 214, 0.5);
            }

    .header-user-pic {
        width: 36px;
        height: 36px;
        background-color: #ffffff;
        border-radius: 18px;
        text-align: center;
        display: table-cell;
        vertical-align: middle;
    }

    .header-user-pic img {
        border-radius: 14px;
        height: 31px;
        width: 30px;
    }


.top-provider {
    height: 45px;
    padding: 5px;
    background-color: #29C8D6;
    border-radius: 5px;
    display: table;
    cursor: pointer;
}

.top-provider-pic {
    width: 100px;
    height: 100px;
    background-color: #ffffff;
    border-radius: 50px;
    text-align: center;
    display: table-cell;
    vertical-align: middle;
    border: 1px solid #DEDEDE;
    z-index: 1400;
    position: relative;
}

    .top-provider-pic img {
        border-radius: 45px;
        height: 90px;
        width: 90px;
    }

.login {
    background-color: rgba(255, 255, 255, 0.75);
    width: 380px;
    margin: 0 auto;
    border-radius: 15px;
    padding: 25px;
}

.custom-input {
    height: 50px;
    background-color: #ffffff;
    border: 1px solid rgba(41, 200, 214, 0.5);
    border-radius: 14px;
    flex-direction: row;
    display: flex;
    align-items: center;
    width: 100%;
    margin-right: 12px;
}

.custom-button {
    background-color: #29C8D6 !important;
    border: navajowhite;
    width: 100%;
    border-radius: 14px;
    height: 50px;
    font-size: 20px;
}

    .custom-input img {
        margin-left: 15px;
    }

    .custom-input .v-line {
        margin-right: 10px;
    }

    .custom-input input {
        background-color: transparent;
        outline: none;
        border: none;
    }


.sidebar {
    background-color: #ffffff;
}

.cuustom-card {
    background-color: #ffffff;
    border-radius: 5px;
    padding: 15px;
    margin-bottom: 25px;
}

.cuustom-border {
    border: 1px solid rgba(41, 200, 214, 0.5);
    border-radius: 5px;
}

.loader {
    width: 60px;
    height: 60px;
    position: absolute;
    top: 20%;
    left: 50%;
    margin: 0px auto;
    z-index: 12;
}


.loader-spin {
    display: flex;
    margin: 0px auto;
    top: 20%;
    left: 50%;
    position: absolute;
}

.loader-spin {
    width: 50px;
    height: 50px;
}

.sidebar .top-row {
    background-color: #ffffff;
}

    .sidebar .top-row img {
        width: 100%;
    }

.sidebar .navbar-brand {
    font-size: 1.1rem;
}

.sidebar .oi {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item .nav-link img {
        margin: 5px 10px 5px 10px;
    }

.nav-item:first-of-type {
    
}

.nav-item:last-of-type {
    padding-bottom: 1rem;
}

    .nav-item a {
        color: #000000;
        height: 4rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

        .nav-item a.active {
            background-color: #EFFBFC;
            color: #000000;
        }

.nav-item a:hover {

}

.content {
    padding-top: 1.1rem;
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.dataTables_filter input {
    height: 50px;
    border: 1px solid rgba(41, 200, 214, 0.5);
    border-radius: 5px;
    color: #969696;
    padding-left: 15px;
}

.dataTables_filter img {
    cursor: pointer;
    margin-top: -3px;
    margin-left: 5px;
}



.paginate_button {
    border: none !important;
    background-color: #F4F6F9 !important;
    border-radius: 5px !important;
    margin-left: 5px !important;
}

.current {
    border: none !important;
    background-color: #29C8D6 !important;
    border-radius: 5px !important;
    color: #ffffff !important;
}

.star-checked {
    color: orange;
}

@media (max-width: 767.98px) {
    .main .top-row {
        display: none;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        background-color: #EFFBFC;
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
